For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • GETlist service providers
      • POSTcreate service provider
      • GETretrieve service provider
      • PUTupdate service provider
      • DELdelete a service provider
      • GETget all accounts for a service provider
      • GETretrieve call capacity and other limits from the service provider
      • POSTcreate a limit for a service provider
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementService Providers

get all accounts for a service provider

GET
https://api.jambonz.cloud/v1/ServiceProviders/:ServiceProviderSid/Accounts
GET
/v1/ServiceProviders/:ServiceProviderSid/Accounts
$curl https://api.jambonz.cloud/v1/ServiceProviders/ServiceProviderSid/Accounts \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "account_sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
4 "name": "Acme Corp Main Account",
5 "service_provider_sid": "1c6b147e-8f3a-4d2a-9f3e-2a1b9f7c4d5e",
6 "sip_realm": "sip.acmecorp.com",
7 "registration_hook": {
8 "url": "https://hooks.acmecorp.com/auth",
9 "method": "post",
10 "username": "authUser",
11 "password": "securePass123"
12 },
13 "device_calling_application_sid": "7e57d004-2b97-0e7a-b45f-5387367791cd",
14 "record_all_calls": true,
15 "record_format": "wav",
16 "bucket_credential": {
17 "vendor": "aws_s3",
18 "region": "us-west-2",
19 "name": "acme-call-recordings",
20 "access_key_id": "AKIAIOSFODNN7EXAMPLE",
21 "secret_access_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY"
22 }
23 }
24]
<Error>This endpoint is only availble with an Admin or Service Provider API key</Error>
Was this page helpful?
Previous

retrieve call capacity and other limits from the service provider

Next
Built with
This endpoint is only availble with an Admin or Service Provider API key

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

ServiceProviderSidstringRequired

Response

account listing
account_sidstringformat: "uuid"
namestring
service_provider_sidstringformat: "uuid"
sip_realmstring
registration_hookobject
authentication webhook for registration
device_calling_application_sidstringformat: "uuid"
record_all_callsboolean
record_formatenum
Allowed values:
bucket_credentialobject
Credentials for recording storage

Errors

403
Forbidden Error
404
Not Found Error